profound-logoProfound CMS
⌘K
Admin
Theme
DocsTutorialBlogPhilosophy
DocsTutorialBlogPhilosophy

Hybrid

Collection of Pages with ComponentsTypes of ComponentsSetup server sent events (SSE) content refetchInstall Profound CMS as a proxyCEL Scripting in Template BuilderProject ScaffoldingMedia Library

Headless

Quick startJSON 与 Claude 代码组件 Zod 拉取

REST API

REST API 概览get连接网站 APIgetGET /routesgetGET /routegetGET /blocksget获取带有 CEL 缓存的区块getGET /blocks/generatedgetGET /componentsgetGET /components/{name}getGET /dataset/{schema_name}get获取内容变更 SSEpatchPATCH /dataset/{schema_name}postPOST /translationpatchPATCH /translationsgetGET /usagepostPOST /csvpatch修补 CSV
All Systems Operational
Powered Byprofound-logo
Theme

GET /components

列出网站的自定义组件(内容类型架构)摘要。

按名称排列列出网站的自定义组件(内容类型架构)摘要。仅返回用户定义的自定义架构。

身份验证: API 密钥(x-api-key 请求头或 api_key 查询参数)。

查询参数

参数类型是否必填说明
websiteIduuid是必须是有效的 UUID。此端点不支持 Host/配置回退。
statestring否按生命周期状态筛选:draft、active 或 archived。
api_keystring否作为 x-api-key 请求头的替代方案。

响应

组件摘要的 JSON 数组:

[
  {
    "id": "...",
    "name": "post",
    "displayName": "Post",
    "description": "A documentation Post",
    "category": "Custom",
    "tags": [],
    "fields": [],
    "icon": null,
    "source": "custom",
    "version": 8,
    "routeSlugField": "title"
  }
]

source 始终为 "custom"。displayName 会回退到 name,而 category 在未设置时默认为 "Custom"。

示例

curl '{CMS_API_URL}/components?websiteId=<uuid>&state=active' \
  -H 'x-api-key: <key>'

错误

  • 400 — 缺少或无效的 websiteId
  • 401 — 无效的 API 密钥
Continue Reading
Previous‹GET /blocks/generatedNextGET /components/{name}›